Variable: GatewayGenerationsFilterSchemaSchema
const GatewayGenerationsFilterSchemaSchema: z.ZodType<{
[key: string]: unknown;
time_of_generation_min?: string;
time_of_generation_max?: string;
total_units_min?: number;
total_units_max?: number;
cost_min?: number;
cost_max?: number;
ai_model?: string;
prompt_token_min?: number;
prompt_token_max?: number;
completion_token_min?: number;
completion_token_max?: number;
status_code?: string;
metadata?: {
[key: string]: unknown;
};
ai_org_model?: string;
weighted_feedback_min?: number;
weighted_feedback_max?: number;
virtual_keys?: string;
trace_id?: string | string[];
configs?: string;
workspace_slug?: string;
prompt_slug?: string;
page_size?: number;
current_page?: number;
}>;
Defined in: src/models/ai-gateway-extensions.ts:1135
SCM GenerationsFilterSchema; unknown response fields are preserved.